import type { NobjcObject } from "objc-js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _INImage } from "./INImage.js";
export declare class _INRideVehicle extends _NSObject {
    static alloc(): _INRideVehicle;
    static new(): _INRideVehicle;
    init(): _INRideVehicle;
    /** The course of this location is significant; see below. */
    location(): NobjcObject | null;
    setLocation$(value: NobjcObject | null): void;
    registrationPlate(): _NSString | null;
    setRegistrationPlate$(value: _NSString | null): void;
    manufacturer(): _NSString | null;
    setManufacturer$(value: _NSString | null): void;
    model(): _NSString | null;
    setModel$(value: _NSString | null): void;
    /**
     * An image suitable for display as a map annotation. Will be centered at the coordinate provided through the .vehicleLocation property, and rotated to match that location's course.
     */
    mapAnnotationImage(): _INImage | null;
    setMapAnnotationImage$(value: _INImage | null): void;
}
export interface _INRideVehicle extends _NSCopying, _NSSecureCoding {
}
